VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form Manager 
   ClientHeight    =   4635
   ClientLeft      =   240
   ClientTop       =   3750
   ClientWidth     =   7635
   FontTransparent =   0   'False
   Icon            =   "Manager.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4635
   ScaleWidth      =   7635
   WindowState     =   2  'Maximized
   Begin VB.PictureBox Picture2 
      Height          =   6615
      Left            =   0
      ScaleHeight     =   6555
      ScaleWidth      =   2595
      TabIndex        =   4
      Top             =   0
      Width           =   2655
      Begin MSComDlg.CommonDialog cd 
         Left            =   2160
         Top             =   0
         _ExtentX        =   847
         _ExtentY        =   847
         _Version        =   393216
      End
      Begin VB.DriveListBox DriveList 
         Height          =   315
         Left            =   0
         TabIndex        =   8
         Top             =   120
         Width           =   2535
      End
      Begin VB.DirListBox DirList 
         Height          =   990
         Left            =   0
         TabIndex        =   7
         Top             =   1080
         Width           =   2535
      End
      Begin VB.FileListBox FileList 
         Height          =   4380
         Left            =   0
         TabIndex        =   6
         Top             =   2160
         Width           =   2535
      End
      Begin VB.ComboBox PatternCombo 
         Height          =   315
         Left            =   0
         TabIndex        =   5
         Text            =   "Combo1"
         Top             =   720
         Width           =   2535
      End
   End
   Begin VB.VScrollBar VScrView 
      Height          =   5475
      Left            =   9240
      TabIndex        =   3
      Top             =   360
      Width           =   255
   End
   Begin VB.HScrollBar HscrView 
      Height          =   285
      Left            =   2880
      TabIndex        =   2
      Top             =   5880
      Width           =   6345
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   5535
      Left            =   2760
      ScaleHeight     =   5475
      ScaleWidth      =   6435
      TabIndex        =   0
      Top             =   360
      Width           =   6495
      Begin VB.PictureBox picViewX 
         Appearance      =   0  'Flat
         AutoRedraw      =   -1  'True
         AutoSize        =   -1  'True
         BackColor       =   &H80000005&
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   6015
         Left            =   -480
         ScaleHeight     =   401
         ScaleMode       =   3  'Pixel
         ScaleWidth      =   581
         TabIndex        =   1
         Top             =   5400
         Width           =   8715
      End
   End
   Begin VB.Label lblFilesCount 
      AutoSize        =   -1  'True
      Height          =   195
      Left            =   2760
      TabIndex        =   9
      Top             =   0
      Width           =   45
   End
   Begin VB.Menu popFileList 
      Caption         =   ""
      Begin VB.Menu popFileListProperties 
         Caption         =   " File Properties"
      End
      Begin VB.Menu popFileListRename 
         Caption         =   "Rename File"
      End
      Begin VB.Menu popFileListDelete 
         Caption         =   "Delete File"
      End
      Begin VB.Menu popFileListMove 
         Caption         =   "Move File to different Directory"
      End
      Begin VB.Menu popFileListCopy 
         Caption         =   "Copy File in the same Directory"
      End
   End
   Begin VB.Menu popDirList 
      Caption         =   ""
      Begin VB.Menu popDirListProperties 
         Caption         =   "Properties"
      End
      Begin VB.Menu popDirListCreate 
         Caption         =   "Create new Directory"
      End
      Begin VB.Menu popDirListRename 
         Caption         =   "Rename Directory"
      End
      Begin VB.Menu popDirListDelete 
         Caption         =   "Delete Directory"
      End
   End
End
Attribute VB_Name = "Manager"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Name: Ali ezzahir
'Winnipeg , Manitoba, Canada
'http://www.geocities/athens/aegean/6647
'http://www.geocities/athens/troy/3164
Option Explicit
Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long

Private Sub Form_GotFocus()
Picture1.BorderStyle = 1
End Sub


Private Sub Form_LostFocus()
Picture1.BorderStyle = 0
End Sub

Private Sub DirList_Change()
    FileList.Path = dirList.Path
    lblFilesCount.Caption = "Files in directory " & dirList.Path & ": " & FileList.ListCount
End Sub

Private Sub DriveList_Change()
    On Error GoTo DriveError
    dirList.Path = DriveList.Drive
    Exit Sub

DriveError:
    DriveList.Drive = dirList.Path
    Exit Sub
End Sub


Private Sub FileList_Click()
Dim fName As String

    On Error GoTo LoadPictureError

    fName = FileList.Path + "\" + FileList.filename
    Caption = "[" & fName & "]"
    
    MousePointer = vbHourglass
    DoEvents
   picViewX.Picture = LoadPicture(fName)
  
    MousePointer = vbDefault
    Exit Sub

LoadPictureError:
Call ShellExecute(hwnd, "Open", fName, "", App.Path, 1)
    Beep
    MousePointer = vbDefault
   Caption = "[" & fName & "]"
    
    Exit Sub
End Sub

Private Sub Form_Load()

    PatternCombo.AddItem "Bitmaps (*.bmp)"
    PatternCombo.AddItem "GIF (*.gif)"
    PatternCombo.AddItem "JPEG (*.jpg)"
    PatternCombo.AddItem "Icons (*.ico)"
    PatternCombo.AddItem "Matafiles (*.wmf)"
    PatternCombo.AddItem "TIF (*.tif)"
    PatternCombo.AddItem "DIBs (*.dib)"
    PatternCombo.AddItem "Graphic (*.gif;*.jpg;*.ico;*.bmp;*.wmf;*.dib;*.tif)"
    PatternCombo.AddItem "Text Files (*.txt)"
    PatternCombo.AddItem "Execute Files (*.exe)"
    PatternCombo.AddItem "HTML Files (*.htm)"
    PatternCombo.AddItem "All Files (*.*)"
    PatternCombo.ListIndex = 11
    lblFilesCount.Caption = "Files in directory " & dirList.Path & ": " & FileList.ListCount
End Sub

Private Sub Form_Resize()
Const GAP = 60

Dim wid As Integer
Dim hgt As Integer

    If WindowState = vbMinimized Then Exit Sub

    wid = DriveList.Width
    DriveList.Move GAP, GAP, wid
    PatternCombo.Move GAP, ScaleHeight - PatternCombo.Height, wid
    
    hgt = (PatternCombo.Top - DriveList.Top - DriveList.Height - 3 * GAP) / 2
    If hgt < 100 Then hgt = 100
    dirList.Move GAP, DriveList.Top + DriveList.Height + GAP, wid, hgt
    FileList.Move GAP, dirList.Top + dirList.Height + GAP, wid, hgt
End Sub

Private Sub PatternCombo_Click()
Dim pat As String
Dim p1 As Integer
Dim p2 As Integer

    pat = PatternCombo.List(PatternCombo.ListIndex)
    p1 = InStr(pat, "(")
    p2 = InStr(pat, ")")
    FileList.Pattern = Mid$(pat, p1 + 1, p2 - p1 - 1)
End Sub



Private Sub popDirListCreate_Click()

    On Error GoTo errHandler
    Dim currdir As String, newDir As String
    currdir = dirList.List(dirList.ListIndex)
again:
    newDir = InputBox("Type full directory specification:", _
        "Create directory", currdir)
    If newDir = "" Then
         Exit Sub
    End If
    MkDir newDir
    DoEvents
    dirList.Refresh
    Exit Sub
errHandler:
    If Err.Number = 75 Then
        MsgBox "Directory already exists/access error"
        GoTo again
    End If
    ErrMsgProc "popDirListCreate_click"
End Sub



Private Sub popDirListDelete_Click()
On Error GoTo errHandler
    If MsgBox("Sure to delete " & dirList.List(dirList.ListIndex) & vbLf & _
           "and all its contents?", vbYesNo + vbQuestion) = vbNo Then
         Exit Sub
    End If
    Dim currdir As String, delDir As String
    currdir = CurDir
    delDir = dirList.List(dirList.ListIndex)
    ChDir delDir
    On Error Resume Next
    Kill "*.*"
    On Error GoTo errHandler
    ChDir currdir
    RmDir dirList.List(dirList.ListIndex)
    dirList.Path = DriveList.Drive
    Exit Sub
errHandler:
    ErrMsgProc "popDirListDeleter_click"
End Sub

Private Sub popDirListProperties_Click()
Dim fName As String
Dim r As Long
    
    fName = FileList.Path + "\" + FileList.filename
    Caption = "[" & fName & "]"
    
    MousePointer = vbHourglass
    DoEvents
   r = ShowFileProperties(fName, Me.hwnd) 'To show the properties dialog pass the filename and the owner of the dialog
    If r <= 32 Then MsgBox "Error"
  
    MousePointer = vbDefault
    Exit Sub
End Sub

Private Sub popDirListRename_Click()
On Error GoTo errHandler
    Dim newDir As String, origDirAsFile As String
    Dim origFullPath As String, origPathDir As String
    origFullPath = dirList.List(dirList.ListIndex)
    origPathDir = PathSection(origFullPath, 1)
    origDirAsFile = PathSection(origFullPath, 2)
    
again:
    newDir = InputBox("Type new name", "Rename directory", origDirAsFile)
    If newDir = "" Then
         Exit Sub
    End If
    If InStr(newDir, "\") <> 0 Then
         MsgBox "Rename directory within same path only"
         GoTo again
    ElseIf PathSection(origPathDir & newDir, 1) <> PathSection(origFullPath, 1) Then
         
         MsgBox "Rename file within same directory only"
         GoTo again
    End If
    
    newDir = origPathDir & newDir
    Name origFullPath As newDir
    dirList.Path = newDir
    Exit Sub

errHandler:
    ErrMsgProc "popDirListRename_click"
End Sub

Private Sub popFileListCopy_Click()
On Error GoTo errHandler
    If FileList.ListCount < 1 Then
         MsgBox "No file in current dir"
         Exit Sub
    End If
    If FileList.filename = "" Then
         MsgBox "No file selected yet"
         Exit Sub
    End If
    
    Dim mPath As String, mfilespec As String
    Dim oldDir As String
    mPath = CurDir
    
    mfilespec = FileList.Path & "\" & FileList.filename
    cd.filename = mfilespec
    cd.Filter = "Text Files (*.txt)|*.txt|All Files (*.*)|*.*"
    cd.FilterIndex = 4
    cd.flags = cdlOFNOverwritePrompt
    cd.CancelError = True
    cd.ShowSave
    
afterCreatingDir:
    If mfilespec <> cd.filename Then
        FileCopy mfilespec, cd.filename
        If PathSection(mfilespec, 1) = PathSection(cd.filename, 1) Then
             FileList.Refresh
             
            
              
            lblFilesCount.Caption = "Files in directory " & dirList.Path & ": " & FileList.ListCount
         End If
         ChDir mPath
    End If
    Exit Sub
    
errHandler:
    If Err.Number <> 32755 Then
         If Err <> 76 Then
              ErrMsgProc "popFileListCopy"
         Else                                   ' Dir not already exists
              If MsgBox("Dir " & PathSection(mfilespec, 1) & " does not exist" _
                   & vbCrLf & "Create it?", vbYesNo + vbQuestion) = vbNo Then
                   Exit Sub
              End If
              MkDir PathSection(mfilespec, 1)
              dirList.Refresh
              GoTo afterCreatingDir
         End If
     End If
End Sub

Private Sub popFileListDelete_Click()
If FileList.ListCount < 1 Then
         MsgBox "No file in current dir"
         Exit Sub
    End If
    If FileList.filename = "" Then
         MsgBox "No file selected yet"
         Exit Sub
    End If
    If MsgBox("Sure to delete " & FileList.filename & vbCrLf, _
           vbYesNo + vbQuestion) = vbNo Then
         Exit Sub
    End If
    Dim mfilespec As String
    
    mfilespec = FileList.Path & "\" & FileList.filename
    
    Kill mfilespec
    DoEvents
    FileList.Refresh
   
 
   lblFilesCount.Caption = "Files in directory " & dirList.Path & ": " & FileList.ListCount
  End Sub

Private Sub popFileListMove_Click()
On Error GoTo errHandler
    If FileList.ListCount < 1 Then
         MsgBox "No file in current dir"
         Exit Sub
    End If
    If FileList.filename = "" Then
         MsgBox "No file selected yet"
         Exit Sub
    End If
    Dim mPath As String, mFullSpec As String
    Dim oldDir As String
    mPath = CurDir
    
    Dim mfilespec As String
    mfilespec = FileList.Path & "\" & FileList.filename
    
    cd.filename = mfilespec
    cd.Filter = "Text Files (*.txt)|*.txt|All Files (*.*)|*.*"
    cd.FilterIndex = 1
    cd.CancelError = True
    
again:
    cd.ShowSave
    
    mFullSpec = DriveList.List(DriveList.ListIndex) & cd.filename
    
    If PathSection(mFullSpec, 1) = PathSection(mfilespec, 1) Then
        MsgBox "Cannot move to the same directory"
        GoTo again
    End If
    
afterCreatingDir:
    FileCopy mfilespec, cd.filename
    Kill mfilespec
    DoEvents
    
    ChDir mPath
    FileList.Refresh
   
   lblFilesCount.Caption = "Files in directory " & dirList.Path & ": " & FileList.ListCount
    Exit Sub
    
errHandler:
    If Err.Number <> 32755 Then
         If Err <> 76 Then
              ErrMsgProc "popFileListMove_Click"
         Else                                   ' Dir not already exists
              If MsgBox("Directory " & vbCrLf & PathSection(cd.filename, 1) & _
                   " does not exist" & vbCrLf & "Create it?", vbYesNo + _
                   vbQuestion) = vbNo Then
                   Exit Sub
              End If
              MkDir PathSection(cd.filename, 1)
              dirList.Refresh
              GoTo afterCreatingDir
         End If
    End If
End Sub

Private Sub popFileListProperties_Click()
Dim fName As String
Dim r As Long
    
    fName = FileList.Path + "\" + FileList.filename
    Caption = "[" & fName & "]"
    
    MousePointer = vbHourglass
    DoEvents
   r = ShowFileProperties(fName, Me.hwnd) 'To show the properties dialog pass the filename and the owner of the dialog
    If r <= 32 Then MsgBox "Error"
  
    MousePointer = vbDefault
    Exit Sub



    
   
''''''''

End Sub

Private Sub popFileListRename_Click()
On Error GoTo errHandler
    If FileList.ListCount < 1 Then
         MsgBox "No file in current dir"
         Exit Sub
    End If
    If FileList.filename = "" Then
         MsgBox "No file selected yet"
         Exit Sub
    End If
    
    Dim newName As String, origName As String
    Dim newFileSpec As String, oldDir As String
    Dim mfilespec As String
    mfilespec = FileList.Path & "\" & FileList.filename
    oldDir = PathSection(mfilespec, 1)
    origName = PathSection(mfilespec, 2)
    
again:
    newName = InputBox("Type new name including extension", "Rename file", origName)
    If newName = "" Then
         Exit Sub
    End If
    
    If InStr(newName, "\") <> 0 Then
         MsgBox "Rename file within same directory only"
         GoTo again
    ElseIf PathSection(oldDir & newName, 1) <> PathSection(mfilespec, 1) Then
         MsgBox "Rename file within same directory only"
         GoTo again
    End If
    
    newFileSpec = oldDir & newName
    Name mfilespec As newFileSpec
    DoEvents
    FileList.Refresh
    
    
    Exit Sub
    
errHandler:
    ErrMsgProc "popFileListRenameFile"
End Sub

Private Sub VscrView_Change()
    picViewX.Top = -VScrView.Value
End Sub
Private Sub HscrView_Change()
    picViewX.Left = -HscrView.Value
End Sub
Private Sub FileList_MouseUp(Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button <> vbRightButton Then
         Exit Sub
    End If
    PopupMenu Me.popFileList
End Sub
Private Sub DirList_MouseUp(Button As Integer, Shift As Integer, x As Single, Y As Single)
    If Button <> vbRightButton Then
         Exit Sub
    End If
    PopupMenu Me.popDirList
End Sub
Function PathSection(ByVal inPath As String, inReturnType As Integer)
    Dim DriveLetter As String
    Dim DirPath As String
    Dim fName As String
    Dim Extension As String
    Dim PathLength As Integer
    Dim ThisLength As Integer
    Dim Offset As Integer
    Dim FileNameFound As Boolean

    If inReturnType <> 0 And inReturnType <> 1 And inReturnType <> 2 And inReturnType <> 3 Then
        Err.Raise 1
        Exit Function
    End If
    DriveLetter = ""
    DirPath = ""
    fName = ""
    Extension = ""
    If Mid(inPath, 2, 1) = ":" Then
        DriveLetter = Left(inPath, 2)
        inPath = Mid(inPath, 3)
    End If
    PathLength = Len(inPath)
    For Offset = PathLength To 1 Step -1
        Select Case Mid(inPath, Offset, 1)
            Case ".":
            ThisLength = Len(inPath) - Offset
            If ThisLength >= 1 Then
                Extension = Mid(inPath, Offset, ThisLength + 1)
            End If
            inPath = Left(inPath, Offset - 1)
            Case "\":
            ThisLength = Len(inPath) - Offset
            If ThisLength >= 1 Then
                fName = Mid(inPath, Offset + 1, ThisLength)
                inPath = Left(inPath, Offset)
                FileNameFound = True
                Exit For
            End If
            Case Else
        End Select
    Next Offset
    If FileNameFound = False Then
        fName = inPath
    Else
        DirPath = inPath
    End If
    If inReturnType = 0 Then
        PathSection = DriveLetter
    ElseIf inReturnType = 1 Then
        PathSection = DirPath
    ElseIf inReturnType = 2 Then
        PathSection = fName & Extension
    ElseIf inReturnType = 3 Then
        PathSection = fName
    ElseIf inReturnType = 4 Then
        PathSection = Extension
    End If
End Function



Sub ErrMsgProc(mMsg As String)
    MsgBox mMsg & vbCrLf & Err.Number & Space(5) & Err.Description
End Sub




